org.apache.myfaces.trinidad.change

## Enum ChangeManager.NotificationOutcome

- java.lang.Object
- - java.lang.Enum<ChangeManager.NotificationOutcome>
  - - org.apache.myfaces.trinidad.change.ChangeManager.NotificationOutcome

- All Implemented Interfaces:
    Serializable, Comparable<ChangeManager.NotificationOutcome>
  Enclosing class:
    ChangeManager

      public static enum ChangeManager.NotificationOutcome
      extends Enum<ChangeManager.NotificationOutcome>

  Indicates whether the notification was handled: 1. HANDLED - Notification was handled 2. NOT_HANDLED - Notification was not handled
  See Also:
    `ChangeManager.documentChangeApplied(FacesContext, UIComponent, ComponentChange)`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `HANDLED`
    `NOT_HANDLED`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ChangeManager.NotificationOutcome` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ChangeManager.NotificationOutcome[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### HANDLED

          public static final ChangeManager.NotificationOutcome HANDLED

    - #### NOT_HANDLED

          public static final ChangeManager.NotificationOutcome NOT_HANDLED

  - ### Method Detail

    - #### values

          public static ChangeManager.NotificationOutcome[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ChangeManager.NotificationOutcome c : ChangeManager.NotificationOutcome.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ChangeManager.NotificationOutcome valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2001-2017 The Apache Software Foundation. All Rights Reserved.